<div style="text-align:center" class='mt-5'>
  <div class='container'>
    <form [formGroup]="dogForm" novalidate (ngSubmit)='add(dogForm.value)'>
      <h1>Add Dog</h1>
      <input type="text" placeholder="Add Name" required formControlName="fullname">
      <input type="text" placeholder="Add Rasa" required formControlName="rasa">
      <select formControlName="adopted" required>
        <option value="" disabled selected>Select adopted status</option>
        <option *ngFor="let option of options" [ngValue]="option.optionName">
          {{option.optionName}}</option>
      </select>
      <label for="checked">Healthy</label>
      <input type='checkbox' name='checked' formControlName='checked' value='Checked' />
      <button [disabled]="dogForm.invalid">Add Dog</button>
    </form>
  </div>
</div>
<div class='container'>
  <div class='dog-list mt-5 mb-5'>
    <div class='dog mb-5' *ngFor="let dog of appdogs; let i = index" #dogs>
      <h1>Name:{{dog.fullname}}</h1>
      <h3>Rasa:{{dog.rasa}}</h3>
      <h3>Adopted:{{dog.adopted}}</h3>
      <h3 *ngIf="dog.checked">Healthy: True</h3>
      <h3 *ngIf="!dog.checked">Healthy: False</h3>
      <button class="delete" title="delete dog" (click)="delete(dog)">Delete Dog</button>
      <button class='edit' (click)='hideme[dog.id] = !hideme[dog.id]'>Edit Dog</button>
      <div [hidden]="!hideme[dog.id]">
        <form autocomplete='off' class='editGroupForm' [formGroup]="dogForm" novalidate (ngSubmit)='editDog(dog)'>
          <input type="text" name='fullname' placeholder="Edit Name" required formControlName="fullname">
          <input type="text" placeholder="Edit Rasa" required formControlName="rasa">
          <select formControlName="adopted" required>
            <option value="" disabled selected>Select adopted status</option>
            <option *ngFor="let option of options" [ngValue]="option.optionName">
              {{option.optionName}}</option>
          </select>
          <button type='submit' [disabled]="dogForm.invalid">Edit Dog</button>
          <button (click)='hideme[dog.id] = !hideme[dog.id]'>Close Edit</button>
          <label for="checked">Healthy <input type='checkbox' name='checked' formControlName='checked' [checked]='dog.checked' /></label>

        </form>
      </div>
    </div>
  </div>
</div>
